CVE-2006-0372
CVSS7.5
发布时间 :2006-01-22 15:03:00
修订时间 :2008-09-05 16:59:04
NMCO    

[原文]Multiple SQL injection vulnerabilities in config.php in Insane Visions BlogPHP, possibly 1.0, allow remote attackers to execute arbitrary SQL commands via the (1) blogphp_username or (2) blogphp_password parameter in a cookie.


[CNNVD]BlogPHP多个SQL注入漏洞(CNNVD-200601-287)

        BlogPHP可能是1.0版的config.php中存在多个SQL注入漏洞,远程攻击者可以通过cookie中的(1) blogphp_username或(2) blogphp_password参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0372
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0372
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200601-287
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/16340
(UNKNOWN)  BID  16340
http://www.securityfocus.com/archive/1/archive/1/422593/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060121 BlogPHP config.php SQL injection login bypassed
http://www.securityfocus.com/archive/1/archive/1/422484/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060120 BlogPHP config.php SQL injection login bypass
http://www.securityfocus.com/archive/1/archive/1/422483/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060120 BlogPHP config.php SQL injection login bypass
http://www.osvdb.org/22738
(UNKNOWN)  OSVDB  22738
http://xforce.iss.net/xforce/xfdb/24131
(UNKNOWN)  XF  blogphp-index-bypass-security(24131)
http://securityreason.com/securityalert/365
(UNKNOWN)  SREASON  365

- 漏洞信息

BlogPHP多个SQL注入漏洞
高危 SQL注入
2006-01-22 00:00:00 2006-03-27 00:00:00
远程  
        BlogPHP可能是1.0版的config.php中存在多个SQL注入漏洞,远程攻击者可以通过cookie中的(1) blogphp_username或(2) blogphp_password参数执行任意SQL命令。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本。

- 漏洞信息

22738
BlogPHP config.php Cookie Fields SQL injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

BlogPHP contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the config.php script not properly sanitizing user-supplied input via a cookie to the 'blogphp_username' and 'blogphp_password' variables. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2006-01-20 Unknow
2006-01-20 Unknow

- 解决方案

Upgrade to version 2.0 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站